//	Support routines for the camera's on-board Flash memory.
//	This is the memory that contains the operating firmware for the CX3.

#include "cyu3system.h"
#include "cyu3dma.h"
#include "cyu3error.h"
#include "cyu3usb.h"
#include "cyu3i2c.h"
#include "cyu3uart.h"
#include "cyu3gpio.h"
#include "cyu3utils.h"
#include "cyu3pib.h"
#include "cyu3socket.h"
#include "sock_regs.h"
#include "cycx3_uvc.h"
#include "cyu3mipicsi.h"
#include "cyu3imagesensor.h"

#include "sysconfig.h"

#include <cyu3spi.h>

#include "sysconfig.h"															//	data types
#include "ov5647_6by9.h"
#include "ourflash.h"


void pulsecs( int delay )
{
	initio( NCX3CS, true, true );												//	deselect Flash
    if ( delay ) CyU3PThreadSleep( delay );										//	if delay, do it
	initio( NCX3CS, true, false );												//	reselect Flash
}


byte flashstatus( void )
{
  bool					entrycs;
  uint8_t				buf[ 2 ] = { 0, 0 };
  CyU3PReturnStatus_t	status = CY_U3P_SUCCESS;


  if ( ( status = CyU3PGpioGetValue( NCX3CS, &entrycs ) ) != CY_U3P_SUCCESS ) return( 0 );
  if ( entrycs ) initio( NCX3CS, true, false );									//  if Flash isn't selected do it now
  buf[ 0 ] = 5;																	//	read status command
  while ( ( status = CyU3PSpiTransferWords( buf, 1, buf, 1 ) ) == CY_U3P_SUCCESS && ( buf[ 0 ] & 1 ) ) ;	//	wait while busy
  if ( status != CY_U3P_SUCCESS ) return( 0 );									//	read status in buf 0

  if ( entrycs )
    initio( NCX3CS, true, true );
  else
    pulsecs( 0 );																//  else end command

  return( buf[ 0 ] );
}


