/*
	Implement a UART between a host PC application and firmware via USB and vendor commands.
	devin and devout defined in _uvc.h allow sending data between device and host (PC).

	The devout sends data from the device to the PC, and devin sends data from the PC to the dev.
	The roles are reversed on the PC end.

*/

#define	FIOSIZE	( 128 )															//	size of receive FIFO


bool charin( void );															//	test for received data
byte getbyte( void );															//	get oldest received data

void putbyte( byte b );															//	send a character to the PC
void outs( byte *buf );															//	send a string to the PC

void stash( byte b );															//	put a char in the receive FIFO
byte charout( void );															//	count of chars to send to PC
byte getout( void );															//	return the next outbound character


